> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# List all accounts

GET https://example.itential.io/authorization/accounts

Returns all accounts.

Reference: https://docs.itential.com/itential-platform/6/api-reference/authorization/get-accounts

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Query parameters

- `multiContains` (object, optional) — multiContains
  - `username` (string, optional)
  - `firstname` (string, optional)
  - `email` (string, optional)
  - `provenance` (string, optional)
- `multiEquals` (object, optional) — multiEquals
  - `username` (string, optional)
  - `firstname` (string, optional)
  - `email` (string, optional)
  - `provenance` (string, optional)
- `multiStartsWith` (object, optional) — multiStartsWith
  - `username` (string, optional)
  - `firstname` (string, optional)
  - `email` (string, optional)
  - `provenance` (string, optional)
- `inactive` (boolean, optional) — inactive
- `isServiceAccount` (boolean, optional) — isServiceAccount
- `groupId` (string, optional) — groupId
- `skip` (integer, optional, default: 0) — skip
- `limit` (integer, optional, default: 25) — limit
- `sort` (enum, optional, default: name) — sort
  - Allowed values: `name`
- `order` (enum, optional, default: 1) — order
  - Allowed values: `-1`, `1`
- `loggedIn` (boolean, optional) — loggedIn

## Response

### 200

The accounts matching the specified query.

- `results` (object, optional) — This is the schema for an IAP account stored in Mongo
  - `provenance` (string, required) — AAA provider where account originated
  - `username` (string, required) — Username for account
  - `firstname` (string, required) — The user's first name
  - `memberOf` (list of object, required) — Groups which this account is a part of
    - `aaaManaged` (boolean, optional) — Whether group comes from an external AAA or not
    - `groupId` (string, optional) — String representation of a MongoDB ObjectId
  - `assignedRoles` (list of object, required) — Roles assigned to this account
    - `roleId` (string, optional) — String representation of a MongoDB ObjectId
  - `inactive` (boolean, required) — Setting for whether account is active or not
  - `gitTokens` (object, required) — Tokens used when interacting with Git APIs and features
    - `GitHub` (string, optional) — Personal access token for GitHub
    - `GitLab` (string, optional) — Personal access token for GitLab
  - `lastLogin` (string, optional) — Date and time when the user last logged in
  - `sso` (boolean, optional) — Whether this is an SSO user
  - `nameID` (string, optional) — DEPRECATED: Identifier for SSO account.
  - `_meta` (object, optional)
    - `created` (string, optional) — When the account was created
    - `updated` (string, optional) — When the account was last updated
  - `email` (string, optional) — Email for user
  - `isServiceAccount` (boolean, optional) — Value denoting if an account does not reflect a human user
  - `loggedIn` (boolean, optional) — Property used in the getAccounts API to indicate a user is currently logged in
- `total` (integer, optional) — The total number of documents

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Examples

**Response**

```json
{
  "results": {
    "provenance": "Local AAA",
    "username": "john_doe",
    "firstname": "John",
    "memberOf": [
      {
        "aaaManaged": true,
        "groupId": "5cb7b531d06cceb89fd21b1c"
      }
    ],
    "assignedRoles": [
      {
        "roleId": "5cb7b531d06cceb89fd21b1c"
      }
    ],
    "inactive": true,
    "gitTokens": {
      "GitHub": "string",
      "GitLab": "string"
    },
    "lastLogin": "2018-08-02T15:56:12.912Z",
    "sso": true,
    "nameID": "string",
    "_meta": {
      "created": "2018-08-02T15:56:12.912Z",
      "updated": "2018-08-02T15:56:12.912Z"
    },
    "email": "name@email.com",
    "isServiceAccount": true,
    "loggedIn": true
  },
  "total": 1
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/authorization/accounts"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/authorization/accounts';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/authorization/accounts"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/authorization/accounts")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/authorization/accounts")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/authorization/accounts');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/authorization/accounts");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/authorization/accounts")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```